Bug 1732605 - Unable to install qucs package: missing freehdl dependency
Summary: Unable to install qucs package: missing freehdl dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qucs
Version: 31
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1832467 1834094 (view as bug list)
Depends On:
Blocks: F32FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-07-23 20:55 UTC by Frantisek Hanzlik
Modified: 2020-07-24 02:18 UTC (History)
9 users (show)

Fixed In Version: qucs-0.0.18-19.fc33 qucs-0.0.18-19.fc32 qucs-0.0.18-18.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-24 01:13:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Frantisek Hanzlik 2019-07-23 20:55:29 UTC
Description of problem:
Attempt to install qucs via dnf (first I tried to install it via anaconda in kickstart file) fail with error:

 Problem: conflicting requests
  - nothing provides freehdl needed by qucs-0.0.18-16.fc30.i686


Version-Release number of selected component (if applicable):
qucs-0.0.18-16.fc30.i686.rpm


Additional info:
freehdl-0.0.8-12.fc23.i686.rpm was in F29, and is missing in F30

Comment 1 Szőke Károly 2019-08-26 19:19:20 UTC
Me too:
sudo dnf install qucs
Az utolsó metaadat lejárati ellenőrzés ennyi ideje volt: 0:02:20, ekkor: 2019. aug. 26., hétfő, 21:11:45 CEST.
Hiba: 
 Probléma: conflicting requests
  - nothing provides freehdl needed by qucs-0.0.18-16.fc30.x86_64
(adja hozzá a(z) „--skip-broken” kapcsolót a nem telepíthető csomagok kihagyásához)

Comment 2 Ankur Sinha (FranciscoD) 2019-11-22 13:45:52 UTC
Also an issue on F31. Bumping version.

Comment 3 Ben Cotton 2019-11-27 14:21:58 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Ben Cotton 2019-11-27 15:58:53 UTC
This bug was accidentally closed due to a query error. Reopening.

Comment 5 Joel Stienlet 2020-05-10 13:52:47 UTC
Hello,
(for a working solution, jump directly to the end of this post)

==> I see this bug in FC32 too:

[stienlet@stienlet-pc ~]$ uname -r
5.6.6-300.fc32.x86_64

[stienlet@stienlet-pc ~]$ sudo dnf install qucs
[sudo] password for stienlet: 
Last metadata expiration check: 0:05:06 ago on dim. 10 mai 2020 15:10:31.
Error: 
 Problem: conflicting requests
  - nothing provides freehdl needed by qucs-0.0.18-17.fc31.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

==> Then I enabled the copr repo to install freehdl (and the install failed: 2nd problem):

[stienlet@stienlet-pc ~]$ sudo dnf copr enable jdulaney/freehdl 

[stienlet@stienlet-pc ~]$ sudo dnf install qucs
Copr repo for freehdl owned by jdulaney                                                                                                  512  B/s | 341  B     00:00    
Errors during downloading metadata for repository 'copr:copr.fedorainfracloud.org:jdulaney:freehdl':
  - Status code: 404 for https://download.copr.fedorainfracloud.org/results/jdulaney/freehdl/fedora-32-x86_64/repodata/repomd.xml (IP: 192.168.1.16)
Error: Failed to download metadata for repo 'copr:copr.fedorainfracloud.org:jdulaney:freehdl': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried

==> finally I tried to install qucs from copr (which worked 👍):

[stienlet@stienlet-pc ~]$ sudo dnf copr enable gpereira/qucs 
[stienlet@stienlet-pc ~]$ sudo dnf install qucs

Comment 6 Fedora Admin user for bugzilla script actions 2020-07-02 14:55:15 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 7 Petr Pisar 2020-07-14 13:57:46 UTC
*** Bug 1832467 has been marked as a duplicate of this bug. ***

Comment 8 Petr Pisar 2020-07-14 13:57:54 UTC
*** Bug 1834094 has been marked as a duplicate of this bug. ***

Comment 9 Igor Raits 2020-07-14 18:10:37 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/qucs by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 10 Petr Pisar 2020-07-15 10:44:25 UTC
freehdl was removed two years ago from Fedora. freehdl is an optional dependency. It's only invoked from /usr/bin/qucsdig and /usr/bin/qucsdigilib scripts.

Comment 11 Fedora Update System 2020-07-15 11:46:07 UTC
FEDORA-2020-74cdc3857f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-74cdc3857f

Comment 12 Fedora Update System 2020-07-15 11:46:24 UTC
FEDORA-2020-e332fc5cef has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e332fc5cef

Comment 13 Fedora Update System 2020-07-16 01:38:45 UTC
FEDORA-2020-e332fc5cef has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e332fc5cef`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e332fc5cef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-07-16 01:59:40 UTC
FEDORA-2020-74cdc3857f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-74cdc3857f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-74cdc3857f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Igor Raits 2020-07-16 06:02:05 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 33.

Thanks for taking care of it!

Comment 16 Fedora Update System 2020-07-24 01:13:42 UTC
FEDORA-2020-74cdc3857f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-07-24 02:18:13 UTC
FEDORA-2020-e332fc5cef has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.